package main

import (
	"io"
	"net"
)

func main() {

	ls, _ := net.Listen("tcp", ":8081")
	for {
		src, _ := ls.Accept()
		go func() {
			dst, _ := net.Dial("tcp", ":8080")
			go func() {
				defer dst.Close()
				io.Copy(dst, src)
			}()
			go func() {
				defer src.Close()
				io.Copy(src, dst)
			}()
		}()
	}
}
